import type { MaybePromise } from './maybePromise';
type Action<T> = () => MaybePromise<T>;
export interface Queue {
    <T>(action: Action<T>): Promise<T>;
    clear: () => void;
    whenDone: Promise<void>;
}
export declare function queue(): Queue;
export {};
