import type { Cancel, Listener } from './commonTypes';
interface Subscribe<T> {
    (listener: Listener<T>, options?: {
        runNow?: boolean;
    }): Cancel;
}
export declare function once<T, S extends T>(subscribe: Subscribe<T>, condition: (value: T) => value is S): Promise<S>;
export declare function once<T>(subscribe: Subscribe<T>, condition?: (value: T) => boolean): Promise<T>;
export declare function onceValue<T>(subscribe: Subscribe<{
    value?: T;
    error?: unknown;
}>): Promise<T>;
export {};
