export declare class Cache<Args extends any[], T extends object> {
    private factory;
    private cacheTime?;
    private cache;
    private interval;
    constructor(factory: (...args: Args) => T, cacheTime?: number | undefined);
    cleanup(): void;
    get(...args: Args): T;
    values(): T[];
    stop(): void;
    stats(): {
        count: number;
        withRef: number;
        withWeakRef: number;
    };
    private now;
}
